## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate tokio-rustls

Name:           rust-tokio-rustls
Version:        0.23.4
Release:        %autorelease
Summary:        Asynchronous TLS/SSL streams for Tokio using Rustls

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tokio-rustls
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump rustls-pemfile dev-dependency from 0.2 to 1.0
Patch:          tokio-rustls-fix-metadata.diff

# ring is not available on ppc64le and s390x
ExcludeArch:    ppc64le s390x

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Asynchronous TLS/SSL streams for Tokio using Rustls.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dangerous_configuration-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dangerous_configuration-devel %{_description}

This package contains library source intended for building other packages which
use the "dangerous_configuration" feature of the "%{crate}" crate.

%files       -n %{name}+dangerous_configuration-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+early-data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+early-data-devel %{_description}

This package contains library source intended for building other packages which
use the "early-data" feature of the "%{crate}" crate.

%files       -n %{name}+early-data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls12-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls12-devel %{_description}

This package contains library source intended for building other packages which
use the "tls12" feature of the "%{crate}" crate.

%files       -n %{name}+tls12-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require an internet connection
# * skip tests that fail due to expired certificates
%cargo_test -- -- --skip common::test_stream::stream --skip test_modern --skip test_tls12 --skip pass --skip test_lazy_config_acceptor
%endif

%changelog
* Sat Mar 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.23.4-1
- Update to version 0.23.4; Fixes RHBZ#2014620

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.22.0-4
- Disable tests that now fail due to expired certificates.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.22.0-1
- Initial package

